Skip to main content
GET
/
v2
/
agents
/
{agent_id}
/
suggestions
List Agent Suggestions
curl --request GET \
  --url https://api.duvo.ai/v2/agents/{agent_id}/suggestions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "description": "<string>",
      "dedup_key": "<string>",
      "resolved_at": "<string>",
      "resolved_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "superseded_reason": "<string>",
      "superseded_by_suggestion_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "<string>",
      "updated_at": "<string>",
      "sources": [
        {
          "agent_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "run_number": 123,
          "created_at": "<string>"
        }
      ],
      "payload": {
        "oldSop": "<string>",
        "newSop": "<string>"
      }
    }
  ],
  "pending_count": 4503599627370495
}

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

agent_id
string<uuid>
required

The Agent's unique identifier

Query Parameters

status
enum<string>
default:pending
Available options:
pending,
history
limit
integer
default:100
Required range: 1 <= x <= 250
offset
integer
default:0
Required range: 0 <= x <= 9007199254740991

Response

Default Response

data
object[]
required
pending_count
integer
required
Required range: 0 <= x <= 9007199254740991